HyperlinkLabelHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: HyperlinkLabelHandle

# Interface HyperlinkLabelHandle

All Superinterfaces:
  `FormComponentHandle`

public interface HyperlinkLabelHandle extends FormComponentHandle
Handle for the "Hyperlink URL label" form component. The Swing widget is a `HyperlinkLabel` that opens a URL in the user's browser when clicked.

Note: `click()` would launch a real browser via `Util.openURL`.

Reach this handle via `ScreenHandle.hyperlinkLabel()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HyperlinkLabelHandle`
  `assertDisabled()`
  `HyperlinkLabelHandle`
  `assertEnabled()`
  `HyperlinkLabelHandle`
  `assertInvisible()`
  `HyperlinkLabelHandle`
  `assertVisible()`
  `HyperlinkLabelHandle`
  `click()`
  Trigger the configured action and open the URL in the user's browser.
  `String`
  `getText()`
  The hyperlink's display text.
  `String`
  `getUrl()`
  The configured URL string with variable substitution applied.

  ### Methods inherited from interface FormComponentHandle

  `getId, isEnabled, isVisible`

- ## Method Details

  - ### getText

    @NotNull String getText()
    The hyperlink's display text.

  - ### getUrl

    @NotNull String getUrl()
    The configured URL string with variable substitution applied.

  - ### click

    @NotNull HyperlinkLabelHandle click()
    Trigger the configured action and open the URL in the user's browser.

  - ### assertEnabled

    @NotNull HyperlinkLabelHandle assertEnabled()
    Specified by:
      `assertEnabled` in interface `FormComponentHandle`

  - ### assertDisabled

    @NotNull HyperlinkLabelHandle assertDisabled()
    Specified by:
      `assertDisabled` in interface `FormComponentHandle`

  - ### assertVisible

    @NotNull HyperlinkLabelHandle assertVisible()
    Specified by:
      `assertVisible` in interface `FormComponentHandle`

  - ### assertInvisible

    @NotNull HyperlinkLabelHandle assertInvisible()
    Specified by:
      `assertInvisible` in interface `FormComponentHandle`